Get multiple profiles
curl --request POST \
--url https://external-api.streamforge.com/platforms/{platform}/profiles \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"profile_ids": [
"484563826",
"775305965",
"116216805"
]
}
'import requests
url = "https://external-api.streamforge.com/platforms/{platform}/profiles"
payload = { "profile_ids": ["484563826", "775305965", "116216805"] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({profile_ids: ['484563826', '775305965', '116216805']})
};
fetch('https://external-api.streamforge.com/platforms/{platform}/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payload": [
{
"id": "<string>",
"name": "<string>",
"display_name": "<string>",
"url": "<string>",
"description": "<string>",
"profile_image": "<string>",
"banner_image": "<string>",
"language": "<string>",
"statistics": {
"followers": 123,
"views": 123,
"views_estimated": 123
},
"account_type": "<string>",
"is_mature": true,
"updated_at": "2023-11-07T05:31:56Z",
"last_active_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"source": "<string>",
"received_at": "2023-11-07T05:31:56Z",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"missing_ids": [
"<string>"
]
}
}{
"error": {
"status": 400,
"message": "Invalid platform or missing required parameter"
},
"meta": {
"request_id": "5e7c0137-1ed3-4b4b-8e5f-3d9cf00f7ac4"
}
}{
"error": {
"status": 401,
"message": "API key is required"
},
"meta": {
"request_id": "5e7c0137-1ed3-4b4b-8e5f-3d9cf00f7ac4"
}
}{
"error": {
"status": 403,
"message": "Invalid API key"
},
"meta": {
"request_id": "5e7c0137-1ed3-4b4b-8e5f-3d9cf00f7ac4"
}
}{
"error": {
"status": 429,
"message": "Rate limit exceeded"
},
"meta": {
"request_id": "5e7c0137-1ed3-4b4b-8e5f-3d9cf00f7ac4"
}
}Profiles
Get multiple profiles
Fetch multiple creator profiles in a single request. Accepts up to 100 profile IDs.
POST
/
platforms
/
{platform}
/
profiles
Get multiple profiles
Authorizations
Your API key. Include it in the x-api-key header for all requests.
Path Parameters
Platform identifier
Available options:
twitch, youtube, instagram, tiktok Example:
"twitch"
Body
application/json
Required array length:
1 - 100 elementsExample:
["484563826", "775305965", "116216805"]
⌘I

